Mailinglist Archive: opensuse-buildservice (266 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: rpmlint error /opt/.... is not allowed anymore in FHS 2.2
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Sun, 9 Nov 2008 12:33:52 +0100
  • Message-id: <200811091233.52822.adrian@xxxxxxx>
On Sonntag 09 November 2008 12:25:24 Richard Bos wrote:
Op Sunday 09 November 2008 11:35:09 schreef Adrian Schröter:
* Cristian Rodríguez [2008-11-06 22:52]:
Richard Bos escribió:
openims: "/opt/OpenIMSCore" is not allowed anymore in FHS 2.2.

Dont do that then ;-) install software in the standard prefix.

Well, /opt is not allowed for distributions but for 3rd party
software. I would consider some build service repos as 3rd party
software not as part of the distribution.

So, if that's agreement, let's file a bug against the build service,

Against rpmlint please

It already existed.... :
https://bugzilla.novell.com/show_bug.cgi?id=436992

However, I find the priority quite low (P5). As soon as openSUSE_11.1
becomes available I can't provide the package for 11.1... Do you think
this issue can be tackled before the 11.1 release?

We may _WANT_ to keep this check when building in the distribution.

But we may want not this check when building packages for this distro, but
keep them as an add-on.

In this case we need different checks for these both usecases. This is why I
think we need a :Compat project. However, I want discuss this first with our
build people.

The :Compat project is intended to be modified after 11.1 release, if we
follow this path.

bye
adrian

--

Adrian Schroeter
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
email: adrian@xxxxxxx


--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >